﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class timedSpawn : MonoBehaviour
{
    public GameObject spawnee;
    public bool stopSpawning = false;
    public float spawnTime;
    public float spawnDelay;
    public float WaitTime;

    // Start is called before the first frame update
    void Start()
    {
        // spawn something right away
        Invoke("SpawnObject", 0); // the delay time here is zero so things just get going
        // invoke repeating call this happens again and again
        // I've setup a random time to spawn and a random delay here
        // Times are set based on selections you can specify in the selector
        InvokeRepeating("SpawnObject", (Random.Range(spawnTime, 30.0f)), (Random.Range(spawnDelay, 1.0f))); 

    }

    // next we need to specify the positions on x,y,z plane these are randomly selected
    public void SpawnObject()
    {
        float spawnZ = Random.Range(-10f, 10f);
        float spawnY = Random.Range(0f, 5f);
        float spawnX = Random.Range(-10f, 10f);

        Vector3 spawnPosition = new Vector3(spawnX, spawnY, spawnZ);

    // when the game object that this is attached to (the spawnee), is instantiated, we set the transform position and rotation here

        Instantiate(spawnee, transform.position = spawnPosition, transform.rotation);
        //Destroy(spawnee, WaitTime);

        if (stopSpawning)


        {
            CancelInvoke("SpawnObject");
        }

    }
}
